#!/bin/bash

# ============LICENSE_START=======================================================
#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o nounset
set -o errexit

# NOTE (eprasad) we need to override execution mode variable to mode supported by test framework
export EXECUTION_MODE=$(echo "$EXECUTION_MODE" | sed 's/deployment/test/g')

if [[ "$EXECUTION_MODE" == "offline-test" ]]; then
  REMOTE_ARTIFACT=$(echo $OFFLINE_XTESTING_FILE | sed 's/.*\///g')

  echo "Info  : Downloading artifact from Nordix ARM..."
  echo "        $NORDIX_ARTIFACT_URL/$REMOTE_ARTIFACT"
  cd /tmp
  # NOTE (fdegir): switched from curl -s -S -O to wget to use wget auto-resume functionality
  wget -q $NORDIX_ARTIFACT_URL/$REMOTE_ARTIFACT
  echo "Info  : Downloaded the artifact for offline test. Extracting..."
  echo "        $(ls -al $OFFLINE_XTESTING_FILE)"
  chmod +x $OFFLINE_XTESTING_FILE
  $OFFLINE_XTESTING_FILE
  sudo /bin/rm -rf $OFFLINE_XTESTING_FILE
else
  echo "Info  : Online test. Skipping artifact download."
fi

# vim: set ts=2 sw=2 expandtab:
